PSqlGrid 変更履歴

Version 1.0.0.0 (2004-03-24)
・新規リリース

Version 1.0.0.1 (2004-04-15)
<バグ修正>
・同一レコードで複数のカラムを変更したとき，update文が失敗する

Version 1.0.0.2 (2004-07-05)
<バグ修正>
・グリッドで，NULLデータの色が変わらない

Version 1.0.0.4 (2004-08-10)
<バグ修正>
・Postgresql7.2で，テーブルリストが表示できないときがある
・timestamp型などのデータを，NULLに変更できない
・メモリリークを修正

Version.1.1.0.0 (2004-09-07)
<機能改善>
・OIDのないテーブルに対応(OIDがないときは，Primary Keyで更新するようにした)
・検索・置換ダイアログを等幅フォントに変更
・正規表現の文字クラスで，[:ascii:]に対応

Version.1.1.0.2 (2004-09-27)
<バグ修正>
・改行を置換したときに，正しく置換されないときがある
<機能改善>
・オプションダイアログの適用ボタンを表示しないようにした

Version.1.1.0.4 (2004-11-12)
<バグ修正>
・既存データの編集と新しい行の追加を実行して保存したとき，updateでエラーが
 発生するときがある
<機能改善>
・検索結果受信中に，CPU負荷が高くならないようにした

Version.1.2.0.0 (2005-01-25)
<機能改善>
・PostgreSQL 7.1で動作するようにした
・新規レコードを追加/削除する処理を高速化

Version.1.2.1.1 (2005-01-28)
<機能改善>
・ログイン画面で，接続時のオプションを設定できるようにした
・ログインできなかったとき，詳細なエラーメッセージを表示するようにした
・SSLモードで接続したときは，接続情報に(SSL)と表示するようにした
・ウィンドウのタイトルバーで，接続先の情報を先頭に表示するようにした

Version.1.2.2.0 (2005-05-25)
<バグ修正>
データにシングルクォートが含まれているとき，データ保存時にエラーが発生する

Version.1.2.2.1 (2005-06-07)
<バグ修正>
・ログイン情報の設定が動作しない

Version.1.3.0.0 (2005-06-16)
<機能改善>
・スキーマに作成したテーブルのデータを編集できるようにした。

Version.1.3.0.1 (2005-06-20)
<バグ修正>
・スキーマに作成したテーブルで，レコードが削除できない
・データを取得中にキャンセルしたとき，データを保存できない

Version.1.3.0.2 (2005-06-22)
<バグ修正>
・複数のスキーマに同一テーブル名が存在するとき，別のスキーマのテーブルを
 再検索してしまうことがある

Version.1.3.0.3 (2005-06-27)
<バグ修正>
・データを保存した後，再検索しますかにいいえと答えると異常終了するときがある

Version.1.3.1.0 (2005-11-22)
<機能改善>
・他オーナーのテーブルを編集できるようにした(オプションで設定)
<バグ修正>
・psqleditから起動したとき、ステータスバーに接続情報が表示されない

Version.1.3.2.0 (2006-05-23)
<機能改善>
・ログインダイアログのサイズを変更できるようにした
・ログインダイアログの接続先リストのカラム幅を自動調節するようにした

Version.2.1.0.0 (2007-06-01)
<機能改善>
・ウィンドウタイトルに、接続先のポート番号を表示するようにした
・データ構造を変更し、データ編集時のメモリ使用量を削減
・正規表現検索の改善など
<バグ修正>
・カラムリストで、char型のlengthが-1と表示されてしまう

Version.2.1.1.0 (2007-06-11)
<バグ修正>
・カラムリストで、numeric型のlengthが正しく表示されない

Version.2.1.1.1 (2007-08-16)
<バグ修正>
・postgresql 7.2.3で、カラムリストにnumeric型の情報を表示するとき、i4toi2 
  overflowエラーが発生する

ver.2.2.0.0 (2009-08-28)
<機能改善>
・グリッドのオプションで、データがNULLのときの表記を設定できるようにした
・セルの右クリックメニューに「空の文字列にする」を追加
  (postgresqlの文字列型では、NULLと''は異なるため)

ver.2.2.1.0 (2010-04-05)
<バグ修正>
・テーブル名に大文字を含む場合、エラーになる

ver.3.0.0.0 (2013-12-08)
<機能改善>
・Unicode対応
・グリッドの行列入れ替え表示

ver.3.0.0.2 (2018-02-03)
<バグ修正>
・セルの右クリックメニューの「空の文字列にする」が動作しない
・グリッドを正規表現で検索するとき、"\r\n"が"$"に一致しない

ver.4.0.0.0 (2019-01-10)
<機能改善>
・開発環境をVisual Studio 2017に移行
・テーブル選択ダイアログに、owner選択欄を追加
・他ownerのテーブルを編集可能にした

ver.4.0.0.1 (2019-02-03)
<バグ修正>
・PostgreSQL 11で起動時やテーブル選択後にエラーが発生する問題を修正

ver.4.0.0.2 (2019-02-04)
<バグ修正>
・PostgreSQL 11でINDEXが2つ以上あるテーブルでエラーが発生する問題を修正

ver.4.0.0.3 (2019-09-16)
<バグ修正>
・PostgreSQL 12(Beta)で、カラムリストなどが取得できない問題を修正

ver.4.0.0.4 (2020-03-21)
<バグ修正>
・PostgreSQL 12で、テーブル選択後エラーになる問題を修正

ver.4.0.0.5 (2020-04-26)
<機能改善>
・ログイン画面/ログイン情報画面にNAME列を追加 
  (psqleditと同じ設定ができるようにした)

ver.4.0.0.6 (2020-12-28)
<バグ修正>
・連番を入力ダイアログで初期値が浮動小数点の値になってしまう問題を修正

ver.4.1.0.0 (2021-01-24)
<機能改善>
・全角半角を区別しないで検索・置換できるようにした

ver.4.2.0.0 (2021-03-10)
<機能改善>
・グリッドにフィルタ機能を追加
  (グリッドの右クリックメニューとメインメニューのSQLに検索結果をフィルタを追加した)

ver.4.2.0.1 (2021-05-31)
<機能改善>
・ログイン画面のHOST, OPTION入力欄をウインドウサイズにあわせて大きくするようにした

ver.4.2.1.0 (2021-07-26)
<機能改善>
・検索/置換/グリッドのフィルタダイアログをモードレスダイアログに変更
・グリッドのフィルタダイアログに、フィルタ解除ボタンを追加

ver.4.2.1.1 (2021-09-07)
<バグ修正>
・グリッドの検索結果が0件かつ行列を入れ替えて表示しているとき、コピー操作で異常終了する問題を修正

ver.4.2.2.0 (2021-10-03)
<機能改善>
・ログイン情報の設定ダイアログで、既存の設定からコピーして作成できるようにした

ver.4.2.2.1 (2021-10-11)
<機能改善>
・ログインダイアログの接続先リストについて、カラム名のクリックでソートできるようにした

ver.4.2.2.2 (2021-10-26)
<バグ修正>
・フォント設定で、スタイル(太字、イタリックなど)の設定が反映されない問題を修正

ver.4.2.2.3 (2021-10-30)
<バグ修正>
・検索ダイアログなどで、ダイアログを閉じたあともタスクバーのプレビューでダイアログが
  見えてしまうことがある問題を修正

ver.4.2.2.5 (2021-11-11)
<機能改善>
・ログインダイアログにfilterを追加

ver.4.2.2.6 (2022-01-23)
<機能改善>
・エディタやグリッドの正規表現の検索で、量指定子'*'の処理速度を改善
・データ編集ダイアログで、右端で折り返すを追加
・データ編集ダイアログのサイズを可変にした

ver.4.3.0.0 (2022-06-09)
<機能改善>
・開発環境をVisual Studio 2022に移行
・連番を入力メニューで、扱える数字の範囲を32bit整数から64bit整数に拡張

ver.4.3.0.1 (2022-08-07)
<機能改善>
・Login画面のfilter欄にテキスト入力したときの応答速度を改善

ver.4.3.0.2 (2022-12-11)
<バグ修正>
・ログイン画面からログイン情報の編集をしてログイン画面に戻ったとき、接続先リストの表示が
  増えてしまう問題を修正

ver.4.3.0.3 (2023-08-05)
<機能改善>
・DB接続直後にpg_descriptionを検索する処理を廃止

ver.4.3.0.4 (2023-10-07)
<機能改善>
・マウスホイールのチルト操作で横スクロールできるようにした

ver.4.3.0.5 (2023-10-13)
<バグ修正>
・グリッドの選択範囲の合計値などをステータスバーに表示する機能について、右クリックメニューの
  表示位置が上にずれるときがある問題を修正

ver.4.4.0.0 (2024-01-03)
<機能改善>
・グリッドのセルの余白を設定できるようにした

ver.4.4.0.1 (2024-01-04)
<バグ修正>
・Windowsのディスプレイの設定で表示スケールを125%や150%にしたとき、テーブル選択
  ダイアログのOKボタンなどがダイアログをはみ出して表示されてしまう問題を修正

ver.4.4.0.2 (2024-01-10)
<バグ修正>
・検索結果のグリッドでフィルタを適用しているとき、選択範囲の合計値や最大値などが
  正しく計算されない問題を修正

ver.4.4.0.3 (2024-01-14)
<機能改善>
・ログイン情報の設定ダイアログで、ショートカットキーAlt+U/Alt+DでUP/DOWN操作ができるようにした

ver.4.4.0.4 (2024-02-25)
<バグ修正>
・グリッドで行と列を入れ替えて表示しているとき、範囲選択の合計値や最大値などが
  正しく計算されない問題を修正

ver.4.4.0.5 (2025-02-16)
<機能改善>
・グリッドの右クリックメニューに列幅を調整するメニューを追加

ver.4.4.0.6 (2025-04-13)
<バグ修正>
・メニュー・表示の「フォント設定(オブジェクトリスト)」で、固定ピッチ以外のフォントも設定できるようにした

ver.4.4.0.7 (2025-05-07)
<機能改善>
・利用しているオープンソースのライセンス情報を追加 (doc\credits.txt)
・ヘルプ→Creditsメニューを追加 (doc\credits.txtを表示)

ver.5.0.0.0 (2025-06-09)
<機能改善>
・64bit対応

ver.5.0.0.1 (2025-06-15)
<機能改善>
・列幅調整ダイアログのレイアウト調整
・列幅調整ダイアログで、複数セルを選択中のときは一番左のセル幅を初期表示するようにした
